# Method: projects.locations.volumes.snapshots.restoreVolumeSnapshot

- [HTTP request](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.volumes.snapshots/restoreVolumeSnapshot#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.volumes.snapshots/restoreVolumeSnapshot#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.volumes.snapshots/restoreVolumeSnapshot#body.request_body)
- [Response body](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.volumes.snapshots/restoreVolumeSnapshot#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.volumes.snapshots/restoreVolumeSnapshot#body.aspect)
- [Try it!](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.volumes.snapshots/restoreVolumeSnapshot#try-it)

Uses the specified snapshot to restore its parent volume. Returns INVALID_ARGUMENT if called for a non-boot volume.

### HTTP request

`POST https://baremetalsolution.googleapis.com/v2/{volumeSnapshot=projects/*/locations/*/volumes/*/snapshots/*}:restoreVolumeSnapshot`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `volumeSnapshot` | `string` Required. Name of the snapshot which will be used to restore its parent volume. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).